Subject: Re: linux-next: build warning after merge of the vfs tree

From: Jan Kara <[email-masked]>
Date: Thu, 5 Jan 2012 12:34:48 +0100

On Thu 05-01-12 08:14:18, Al Viro wrote:
> On Thu, Jan 05, 2012 at 08:06:57AM +0000, Al Viro wrote:
> > On Thu, Jan 05, 2012 at 05:35:21PM +1100, Stephen Rothwell wrote:
> > > Hi Al,
> > > 
> > > After merging the vfs tree, today's linux-next build (powerpc
> > > ppc64_defconfig) produced this warning:
> > > 
> > > fs/reiserfs/super.c:701:2: warning: initialization from incompatible pointer type [enabled by default]
> > > fs/reiserfs/super.c:701:2: warning: (near initialization for 'reiserfs_sops.show_options') [enabled by default]
> > > 
> > > Caused by commit 2ddeb2a58b11 ("vfs: switch ->show_options() to struct
> > > dentry *") interacting with commit f1823b7b87d1 ("reiserfs: Properly
> > > display mount options in /proc/mounts") from the ext3.  This needs some
> > > merge fix ... (and will probably currently cause crashes :-()
> > 
> > Grrr...  Same as changes in the first commit, done to the function introduced
> > by the second (i.e. replace mnt->mnt_sb with dentry->d_sb).  Incidentally,
> > what are reiserfs patches doing in ext3 tree, of all places?
> 
> FWIW, an updated variant of Jan's patch would be this (on top of
> vfs.git#for-next; I can pull his commit there in such form):
  Thanks. I'm removing the old version of the patch from my tree so please
carry the new version in your tree. I was just carrying the patch because
of lack of reiserfs maintainer and because I originally wrote the patch to
accommodate needs of quota tools...

								Honza

-- 
Jan Kara <[email-masked]>
SUSE Labs, CR